Subject: [Cellar] Building an RFC

From: Ashley Blewer <[email-masked]>
Date: Sat, 4 Jun 2016 11:12:59 -0400

Bumping this and renaming the thread topic. Does anyone have experience
building an RFC and also have time to help gather one together (for EBML
and/or Matroska)? The submission deadline is July 8th.

Ashley

On Mon, Apr 25, 2016 at 10:58 PM, Ashley Blewer <[email-masked]>
wrote:

> I demo'ed the above template and it seems promising, but the Markdown
> would need a lot of work to get it integrated -- the current MD document
> includes some unconventional HTML tags (abbr, pre) and the template also
> doesn't like the way the document can link to itself using syntax like
> this: [SimpleBlock structure](#simpleblock_structure). Not sure how well
> this will play with Github-pages.
>
> I'll keep investigating. Also using the core component of this (xml2rfc),
> we might be able to build our own Makefile that auto-generates an RFC.
>
> Ashley
>
> On Mon, Apr 25, 2016 at 8:38 PM, Ashley Blewer <[email-masked]>
> wrote:
>
>> Thomas, thanks for posting this!
>>
>> On Mon, Apr 25, 2016 at 8:08 PM, Timothy B. Terriberry <[email-masked]
>> > wrote:
>>
>>> Thomas Daede wrote:
>>>
>>>> Martin Thompson has a template on Github that includes makefiles to
>>>> generate a draft from Markdown.
>>>>
>>>> https://github.com/martinthomson/i-d-template
>>>>
>>>> It is based on a tool called kramdown-rfc2629 that will generate xml2rfc
>>>> compatible output from Markdown. It has worked well for me for a couple
>>>> of drafts in the netvc github, as well as some really big drafts, like
>>>> TLS 1.3: https://github.com/tlswg/tls13-spec
>>>>
>>>
>>> I have never used the tools in question, but Thomas's advice seems
>>> cogent to me (at the very least a lot better than converting by hand).
>>>
>>>
>>> _______________________________________________
>>> Cellar mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/cellar
>>>
>>
>>
>